Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic
Class PlasticXPCheckBoxUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.basic.BasicButtonUI
                  javax.swing.plaf.basic.BasicToggleButtonUI
                      javax.swing.plaf.basic.BasicRadioButtonUI
                          javax.swing.plaf.metal.MetalRadioButtonUI
                              javax.swing.plaf.metal.MetalCheckBoxUI
                                  com.jgoodies.plaf.plastic.PlasticXPCheckBoxUI

public final class PlasticXPCheckBoxUI
extends MetalCheckBoxUI

The JGoodies PlasticXP l&l implementation of `CheckBoxUI`. Unlike its superclass, it uses a button listener that sets the armed state if the mouse is over.

Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.metal.MetalRadioButtonUI
`disabledTextColor, focusColor, selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`icon`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`PlasticXPCheckBoxUI()`

Method Summary
`protected BasicButtonListener` | `createButtonListener(AbstractButton b)`
`static ComponentUI` | `createUI(JComponent b)`

Methods inherited from class javax.swing.plaf.metal.MetalCheckBoxUI
`getPropertyPrefix, installDefaults, uninstallDefaults`

Methods inherited from class javax.swing.plaf.metal.MetalRadioButtonUI
`getDisabledTextColor, getFocusColor, getSelectColor, paint, paintFocus`

Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`getDefaultIcon, getPreferredSize`

Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI
`getTextShiftOffset, paintIcon`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installListeners, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticXPCheckBoxUI

    public PlasticXPCheckBoxUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### createButtonListener

    protected BasicButtonListener createButtonListener(AbstractButton b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.